{
  config,
  lib,
  pkgs,
  inputs,
  ...
}: {
  services.xserver.enable = true;
  # services.xserver.displayManager.defaultSession = "gnome";
  # https://github.com/NixOS/nixpkgs/issues/103746#issuecomment-945091229
  systemd.services."getty@tty1".enable = false;
  systemd.services."autovt@tty1".enable = false;
  services.xserver.displayManager.gdm.enable = true;
  services.xserver.desktopManager.gnome.enable = true;
  hardware.pulseaudio.enable = false;
  # xdg.portal.extraPortals = [ pkgs.xdg-desktop-portal-gtk ];
  environment.systemPackages = [
    pkgs.gnomeExtensions.appindicator
    pkgs.gnomeExtensions.dash-to-dock
    pkgs.gnomeExtensions.dash-to-panel
    pkgs.mission-center
    pkgs.gnome.nautilus
  ];
  environment.gnome.excludePackages = [
    pkgs.gnome-tour
    pkgs.gnome.cheese # Camera
    pkgs.gnome.gnome-system-monitor
    #pkgs.gnome.gnome-music
    pkgs.gnome.gnome-terminal # Console
    pkgs.gnome.gnome-contacts
    pkgs.gedit # Text Editor
    pkgs.gnome.epiphany # Web
    pkgs.gnome.geary
    pkgs.gnome.totem # Videos
  ];
  services.udev.packages = [
    pkgs.gnome.gnome-settings-daemon
  ];

  services.xserver.desktopManager.gnome.extraGSettingsOverrides = ''
    [org.gnome.mutter]
    experimental-features=['scale-monitor-framebuffer']
  '';
  services.xserver.desktopManager.gnome.extraGSettingsOverridePackages = [pkgs.gnome.mutter];
}
