{
  config,
  lib,
  pkgs,
  inputs,
  ...
}: {
  nix.settings = {
    builders-use-substitutes = true; # unknown, suggested by anyrun
    substituters = [
      "https://hyprland.cachix.org"
      "https://anyrun.cachix.org"
    ];
    trusted-public-keys = [
      "hyprland.cachix.org-1:a7pgxzMz7+chwVL3/pzj6jIBMioiJM7ypFP8PwtkuGc="
      "anyrun.cachix.org-1:pqBobmOjI7nKlsUMV25u9QHa9btJK65/C8vnO3p346s="
    ];
  };

  services.xserver.enable = true;
  services.xserver.displayManager.defaultSession = "hyprland";
  # https://github.com/NixOS/nixpkgs/issues/103746#issuecomment-945091229
  systemd.services."getty@tty1".enable = false;
  systemd.services."autovt@tty1".enable = false;
  services.xserver.displayManager.gdm.enable = true;
  security.pam.services.swaylock = {};

  programs.hyprland = {
    enable = true;
  };

  xdg.portal.extraPortals = [pkgs.xdg-desktop-portal-gtk];

  services.blueman.enable = true;
}
